DIAG_ENCL(8)

NAME
diag_encl - diagnose SCSI enclosures

SYNOPSIS
diag_encl [-s [-c][-l]] [-v] [-f <path.pg2>] [sgn ...]
diag_encl -d
diag_encl --version
diag_encl --help

DESCRIPTION
The diag_encl command reports the status of the various components of the SCSI enclosure(s) specified by the sgn device name(s). If no enclosure is specified, all SCSI enclosures known to the system are reported.

diag_encl currently supports a limited number of enclosure types and reports an error if asked to diagnose an unrecognized type.

OPTIONS

-d or --disk <sgN>
    Collects disk health information and populates it in an xml output file under destination directory (/var/log/ppc64-diag/diag_disk/).

-s or --serv_event
    Report any faults to the servicelog database.

-c or --cmp_prev
    Report only faults that are new (or have become more critical) since the last time diag_encl was run with the -s option.

-l or --leds
    Try to turn on the fault indicator (typically an amber LED) for any failing component. Some components' LED(s) may not be accessible to Linux. Some LEDs have independent fault and identify settings; that is, the LED may be in fault mode and identify mode at the same time (in which case both the fault setting and the identify setting bubble up to the enclosure, which may have separate fault and identify LEDs). diag_encl doesn't affect the LED's identify setting.

-v or --verbose
    Produce more verbose output.

-V or --version
    Display the version of the command and exit.

-f or --fake path.pg2
    A testing option. Instead of querying the device, read diagnostic information from the file whose pathname is path.pg2, and read vital product data from the file whose pathname is path.vpd.

-h or --help
    Print a usage message and exit.

SEE ALSO
servicelog(8), encl_led(8)